Subject: Re: [PATCH 00/19] Enable various Renesas drivers on all ARM platforms

From: Simon Horman <[email-masked]>
Date: Tue, 29 Oct 2013 15:04:27 +0900

On Tue, Oct 29, 2013 at 12:46:48AM +0100, Laurent Pinchart wrote:
> Hello,
> 
> This patch series, based on v3.12-rc7, prepares various Renesas drivers
> for migration to multiplatform kernels by enabling their compilation or
> otherwise fixing them on all ARM platforms. The patches are pretty
> straightforward and are described in their commit message.
> 
> I'd like to get all these patches merged in v3.14. As they will need to go
> through their respective subsystems' trees, I would appreciate if all
> maintainers involved could notify me when they merge patches from this series
> in their tree to help me tracking the merge status. I don't plan to send pull
> requests individually for these patches, and I will repost patches
> individually if changes are requested during review.
> 
> If you believe the issue should be solved in a different way (for instance by
> removing the architecture dependency completely) please reply to the cover
> letter to let other maintainers chime in.

I think this is a step in a good direction.
However, I think it would be even better if the architecture dependency was
removed completely.

> 
> Cc: Chris Ball <[email-masked]>
> Cc: "David S. Miller" <[email-masked]>
> Cc: David Woodhouse <[email-masked]>
> Cc: [email-masked]
> Cc: Dmitry Torokhov <[email-masked]>
> Cc: Eduardo Valentin <[email-masked]>
> Cc: Greg Kroah-Hartman <[email-masked]>
> Cc: Guennadi Liakhovetski <[email-masked]>
> Cc: Ian Molton <[email-masked]>
> Cc: [email-masked]
> Cc: Jean-Christophe Plagniol-Villard <[email-masked]>
> Cc: Joerg Roedel <[email-masked]>
> Cc: Linus Walleij <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: Magnus Damm <[email-masked]>
> Cc: Mark Brown <[email-masked]>
> Cc: Mauro Carvalho Chehab <[email-masked]>
> Cc: [email-masked]
> Cc: Samuel Ortiz <[email-masked]>
> Cc: Sergei Shtylyov <[email-masked]>
> Cc: Thierry Reding <[email-masked]>
> Cc: Tomi Valkeinen <[email-masked]>
> Cc: Vinod Koul <[email-masked]>
> Cc: Wolfram Sang <[email-masked]>
> Cc: Zhang Rui <[email-masked]>
> 
> Laurent Pinchart (19):
>   serial: sh-sci: Enable the driver on all ARM platforms
>   DMA: shdma: Enable the driver on all ARM platforms
>   i2c: sh_mobile: Enable the driver on all ARM platforms
>   input: sh_keysc: Enable the driver on all ARM platforms
>   iommu: shmobile: Enable the driver on all ARM platforms
>   i2c: rcar: Enable the driver on all ARM platforms
>   v4l: sh_vou: Enable the driver on all ARM platforms
>   mmc: sdhi: Enable the driver on all ARM platforms
>   mmc: sh_mmcif: Enable the driver on all ARM platforms
>   mtd: sh_flctl: Enable the driver on all ARM platforms
>   net: sh_eth: Set receive alignment correctly on all ARM platforms
>   irda: sh_irda: Enable the driver on all ARM platforms
>   pinctrl: sh-pfc: Enable the driver on all ARM platforms
>   pwm: pwm-renesas-tpu: Enable the driver on all ARM platforms
>   sh: intc: Enable the driver on all ARM platforms
>   spi: sh_msiof: Enable the driver on all ARM platforms
>   spi: sh_hspi: Enable the driver on all ARM platforms
>   thermal: rcar-thermal: Enable the driver on all ARM platforms
>   fbdev: sh-mobile-lcdcfb: Enable the driver on all ARM platforms
> 
>  drivers/dma/sh/Kconfig                | 2 +-
>  drivers/dma/sh/shdmac.c               | 6 +++---
>  drivers/i2c/busses/Kconfig            | 4 ++--
>  drivers/input/keyboard/Kconfig        | 2 +-
>  drivers/iommu/Kconfig                 | 2 +-
>  drivers/media/platform/Kconfig        | 2 +-
>  drivers/mmc/host/Kconfig              | 4 ++--
>  drivers/mmc/host/tmio_mmc_dma.c       | 2 +-
>  drivers/mtd/nand/Kconfig              | 2 +-
>  drivers/net/ethernet/renesas/sh_eth.c | 2 +-
>  drivers/net/ethernet/renesas/sh_eth.h | 2 +-
>  drivers/net/irda/Kconfig              | 2 +-
>  drivers/pinctrl/Makefile              | 2 +-
>  drivers/pinctrl/sh-pfc/Kconfig        | 2 +-
>  drivers/pwm/Kconfig                   | 2 +-
>  drivers/sh/intc/Kconfig               | 2 +-
>  drivers/spi/Kconfig                   | 4 ++--
>  drivers/thermal/Kconfig               | 2 +-
>  drivers/tty/serial/Kconfig            | 2 +-
>  drivers/video/Kconfig                 | 6 +++---
>  20 files changed, 27 insertions(+), 27 deletions(-)
> 
> -- 
> Regards,
> 
> Laurent Pinchart
> 
> 
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>